Get the schemas

- « Session::getSchema

- Session::getServerVersion »

- PHP Manual
- mysql_xdevapi\Session
- Get the schemas

# Session::getSchemas

(No version information available, might only be in Git)

Session::getSchemas — Get the schemas

### Description

public mysql_xdevapi\Session::getSchemas(): array

Get schema objects for all schemas available to the session.

### Parameters

This function has no parameters.

### Return Values

An array containing objects that represent all of the schemas available to the session.

### Examples

Example #1 mysql_xdevapi\Session::getSchemas() example

    <?php
    $session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
    $schemas  = $session->getSchemas();

    print_r($schemas);

The above example will output something similar to:

    Array
    (
        [0] => mysql_xdevapi\Schema Object
            (
                [name] => addressbook
            )
        [1] => mysql_xdevapi\Schema Object
            (
                [name] => information_schema
            )
        ...